
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Clase principal de la GUI que contiene el metodo main
 * @author Manuel
 */
public class GUIApplication {
     public static void main(String args[]) {
  /*                Metal
                    Nimbus
                    CDE/Motif
                    Windows
                    Windows Classic     */
        lookandfeel("Windows");

        GUIFrame GUI             = new GUIFrame();
        WelcomeFrame Welcome     = new WelcomeFrame(GUI);
        ConfigCOMFrame ConfigCOM = new ConfigCOMFrame(GUI,Welcome);
        Communicator comm        = new Communicator(GUI,ConfigCOM);
        
        GUI.setCommunicator(comm);
        GUI.setConfigCOMPanel(ConfigCOM);

        Welcome.setComboBox();
        Welcome.setVisible(true);
        
    }
	/**
	* Cambia apariencia de ventana
	* @param look Apariencia a ajustar
	*/
     public static void lookandfeel(String look) {
         try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                // System.out.println (info.getName());
                if (look.equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(GUIApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(GUIApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(GUIApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(GUIApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
     }
}
